### Name: fitNDR_1rate.Rd
### Title: Estimate diversification rate from combined
###   taxonomic/phylogenetic data
### Aliases: fitNDR_1rate
### Keywords: models

### ** Examples

        data(skinktree);
        data(skinkdiversity);
        skinktree <- getTipdata(skinkdiversity, skinktree);
        
        #first we fit the one rate model
        fitNDR_1rate(skinktree, eps=0);

        #here we fit the 2 rate model
        res <- fitNDR_2rate(skinktree, eps=0);

        #extracting the node most likely to have undergone rate shift:
        subset(res, res$LH==max(res$LH));

        #this function plots the node numbers on the tree:
        plotNodeNumbers.phylo(skinktree);

        # and you can see that the 'best' rate shift 
        # location is the MRCA of the genera Ctenotus and Lerista



