### Name: fitNDR_2rate.Rd
### Title: Fit 2-rate diversification model to combined
###   phylogenetic/taxonomic data
### Aliases: fitNDR_2rate
### Keywords: models

### ** Examples

        data(skinktree);
        data(skinkdiversity);
        skinktree <- getTipdata(skinkdiversity, skinktree);
        
        #first we fit the one rate model
        fitNDR_1rate(skinktree, eps=0);

        #here we fit the 2 rate model
        res <- fitNDR_2rate(skinktree, eps=0);

        #extracting the node most likely to have undergone rate shift:
        subset(res, res$LH==max(res$LH));

        #this function plots the node numbers on the tree:
        plotNodeNumbers.phylo(skinktree);




